import { Injectable } from '@nestjs/common';
import Redlock from '@nanahira/redlock';
import { ConfigService } from '@nestjs/config';
import Redis from 'ioredis';

@Injectable()
export class LockService {
  constructor(private config: ConfigService) { }
  
  getLockInstance() {
    const url = this.config.get<string>('REDIS_URL');
    const redis = new Redis(url);
    return new Redlock([redis]);
  }
}
